Réalisations

  • Augmenter la taille
  • Taille par défaut
  • Diminuer la taille

Installer la dernière version compatible de Wordpress sur serveur gratuit free

Envoyer Imprimer PDF

Juin 2012

Installer Wordpress 3.3.2 en juin 2012 sur serveur gratuit free est impossible. Sauf paramétrage inconnu de moi au départ.

En effet, free a par défaut PHP 4.4.3. Or, malgré les dires de certains sur Wordpress, une fois qu'on a noté correctement tout ce qui concerne la base de données dans le fichier wp-config.php (auparavant renommé, voir la procédure d'installation sur les sites concernés : wordpress 3.3.2 sur google), et qu'on a bien remplacé le fichier sur le bon serveur, l'installation vous balance un "votre serveur utilise la version 4.4.3 de PHP mais wordpress 3.3.2 nécessite au moins la version 5.2.4".

Même si on décide comme moi de contourner l'interdiction en créant un fichier (avec notepad++ ou encore pspad) .htaccess contenant PHP 1 (en clair, on dit au serveur d'utiliser une autre version de PHP qu'on sait être disponible sur les serveurs de free mais pas par défaut), et en le balançant dans le répertoire du blog, on obtient une autre réponse "votre serveur utilise la version 5.1.3 RC4-dev de PHP mais wordpress 3.3.2 nécessite au moins la version 5.2.4".

C'est ce qu'on appelle une contre-réalisation.

Donc, on ne se décourage pas et on passe à la version précédente, c'est à dire celle de juillet 2011 selon mes sources, nommée 3.2.1.

Et on recommence le même topo : on dézippe, on modifie le wp-config-sample.php et on le renomme, on rajoute un .htaccess contenant PHP 1 et on envoie le tout sur serveur (dans mon cas dans un sous répertoire nommé /blog). Et on reçoit la même réponse négative.J'ai pu vérifier tout ce que j'ai pu lire là dessus sur internet.A ce stade, on connait par coeur tous les identifiants, nom de base de données et autres noms d'oiseaux et on n'a plus besoin de les rechercher sur nos carnets de note précieux (un peu d'humour détend toujours).

Donc on passe à la 3.2.1 (juin 2011 de mémoire), on n'oublie pas de créer un répertoire parent appelé /sessions/ (vide) et là ça devrait aller. Et ça va en principe très bien. Il n'y a plus qu'à paramétrer le blog.

A noter qu'en principe, on regarde d'abord les versions de PHP disponibles sur le site de l'hébergeur (ici Free) avant d'installer quoi que ce soit. Cela évite les pertes de temps en entreprise, mais là, c'est pour l'expérience. J'ai donc testé pour vous.

Mise à jour le Jeudi, 17 Avril 2014 06:23